Exception when using the eyedropper tool with the Color Palette minimized

Bug #914554 reported by Fixitman Arizona on 2012-01-11
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Pinta
High
Cameron White

Bug Description

Using Xubuntu 11.10 with gnome (3) and kde libraries both installed. I imagine I'm missing some dependancies?
Upon selecting eyedropper tool, the following exception repeatedly shows:

Unhandled exception:
Exception has been thrown by the target of an invocation.
Details:
System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> System.NullReferenceException: Object reference not set to an instance of an object
  at Pinta.Core.GdkExtensions.Invalidate (Gdk.Window w) [0x00000] in <filename unknown>:0
  at Pinta.Gui.Widgets.ColorPaletteWidget.Palette_ColorChanged (System.Object sender, System.EventArgs e) [0x00000] in <filename unknown>:0
  at Pinta.Core.PaletteManager.OnPrimaryColorChanged () [0x00000] in <filename unknown>:0
  at Pinta.Core.PaletteManager.set_PrimaryColor (Color value) [0x00000] in <filename unknown>:0
  at Pinta.Tools.ColorPickerTool.OnMouseDown (Gtk.DrawingArea canvas, Gtk.ButtonPressEventArgs args, PointD point) [0x00000] in <filename unknown>:0
  at Pinta.Core.BaseTool.DoMouseDown (Gtk.DrawingArea canvas, Gtk.ButtonPressEventArgs args, PointD point) [0x00000] in <filename unknown>:0
  at Pinta.Gui.Widgets.PintaCanvas.<PintaCanvas>m__E (System.Object sender, Gtk.ButtonPressEventArgs e) [0x00000] in <filename unknown>:0
  at (wrapper managed-to-native) System.Reflection.MonoMethod:InternalInvoke (System.Reflection.MonoMethod,object,object[],System.Exception&)
  at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0
  --- End of inner exception stack trace ---
  at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0
  at System.Reflection.MethodBase.Invoke (System.Object obj, System.Object[] parameters) [0x00000] in <filename unknown>:0
  at System.Delegate.DynamicInvokeImpl (System.Object[] args) [0x00000] in <filename unknown>:0
  at System.MulticastDelegate.DynamicInvokeImpl (System.Object[] args) [0x00000] in <filename unknown>:0
  at System.Delegate.DynamicInvoke (System.Object[] args) [0x00000] in <filename unknown>:0
  at GLib.Signal.ClosureInvokedCB (System.Object o, GLib.ClosureInvokedArgs args) [0x00000] in <filename unknown>:0
  at GLib.SignalClosure.Invoke (GLib.ClosureInvokedArgs args) [0x00000] in <filename unknown>:0
  at GLib.SignalClosure.MarshalCallback (IntPtr raw_closure, IntPtr return_val, UInt32 n_param_vals, IntPtr param_values, IntPtr invocation_hint, IntPtr marshal_data) [0x00000] in <filename unknown>:0

Robert Nordan (rpvn) wrote :

Well, this isn't instantly reproducible on my system anyway so what you say about dependencies might be right. However, the error trace doesn't look like a typical dep problem. Is the problem still reproducible for you?

Download full text (4.2 KiB)

Still the same thing, I think it might be a GTK dependency version problem,
or where Xubuntu stores a file (I see some indication some are "missing"
but they just might be in a different folder due to Xubuntu 11.10 using
LXDE and not XFCE as I had thought?)
Synaptic is showing no broken packages, and all the latest versions but who
knows. Might be a bug in the Gnome libraries?
My system is fairly complicated, as I've installed both Gnome and KDE on
it, as I went a little nuts installing "this and that" not in the original
packages, (when it should be using either XFCE or LXDE, from what I
understand.) It's definitely not a standard 'buntu, so things are likely
not to be perfect.
Might re-install Pinta and see what happens.
I'm fairly new at this so, no ideas besides those.
Thanks!

On Fri, Jan 20, 2012 at 4:48 AM, Robert Nordan <email address hidden>wrote:

> Well, this isn't instantly reproducible on my system anyway so what you
> say about dependencies might be right. However, the error trace doesn't
> look like a typical dep problem. Is the problem still reproducible for
> you?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/914554
>
> Title:
> exception on using eyedropper select
>
> Status in Pinta:
> New
>
> Bug description:
> Using Xubuntu 11.10 with gnome (3) and kde libraries both installed. I
> imagine I'm missing some dependancies?
> Upon selecting eyedropper tool, the following exception repeatedly shows:
>
> Unhandled exception:
> Exception has been thrown by the target of an invocation.
> Details:
> System.Reflection.TargetInvocationException: Exception has been thrown by
> the target of an invocation. ---> System.NullReferenceException: Object
> reference not set to an instance of an object
> at Pinta.Core.GdkExtensions.Invalidate (Gdk.Window w) [0x00000] in
> <filename unknown>:0
> at Pinta.Gui.Widgets.ColorPaletteWidget.Palette_ColorChanged
> (System.Object sender, System.EventArgs e) [0x00000] in <filename unknown>:0
> at Pinta.Core.PaletteManager.OnPrimaryColorChanged () [0x00000] in
> <filename unknown>:0
> at Pinta.Core.PaletteManager.set_PrimaryColor (Color value) [0x00000]
> in <filename unknown>:0
> at Pinta.Tools.ColorPickerTool.OnMouseDown (Gtk.DrawingArea canvas,
> Gtk.ButtonPressEventArgs args, PointD point) [0x00000] in <filename
> unknown>:0
> at Pinta.Core.BaseTool.DoMouseDown (Gtk.DrawingArea canvas,
> Gtk.ButtonPressEventArgs args, PointD point) [0x00000] in <filename
> unknown>:0
> at Pinta.Gui.Widgets.PintaCanvas.<PintaCanvas>m__E (System.Object
> sender, Gtk.ButtonPressEventArgs e) [0x00000] in <filename unknown>:0
> at (wrapper managed-to-native)
> System.Reflection.MonoMethod:InternalInvoke
> (System.Reflection.MonoMethod,object,object[],System.Exception&)
> at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags
> invokeAttr, System.Reflection.Binder binder, System.Object[] parameters,
> System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0
> --- End of inner exception stack trace ---
> at System.Reflection.MonoMethod.Invoke (System.Object obj,...

Read more...

Yes, I think reinstall might be your best bet right now. Is it really only the eyedropper where this happens?

Download full text (3.5 KiB)

Yes, just the eyedropper. I wonder if it has something to do with the way I
have transparencies set up. I usually have a window open underneath.
Haven't checked it, been busy with other things.

On Sat, Jan 21, 2012 at 9:08 AM, Robert Nordan <email address hidden>wrote:

> Yes, I think reinstall might be your best bet right now. Is it really
> only the eyedropper where this happens?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/914554
>
> Title:
> exception on using eyedropper select
>
> Status in Pinta:
> New
>
> Bug description:
> Using Xubuntu 11.10 with gnome (3) and kde libraries both installed. I
> imagine I'm missing some dependancies?
> Upon selecting eyedropper tool, the following exception repeatedly shows:
>
> Unhandled exception:
> Exception has been thrown by the target of an invocation.
> Details:
> System.Reflection.TargetInvocationException: Exception has been thrown by
> the target of an invocation. ---> System.NullReferenceException: Object
> reference not set to an instance of an object
> at Pinta.Core.GdkExtensions.Invalidate (Gdk.Window w) [0x00000] in
> <filename unknown>:0
> at Pinta.Gui.Widgets.ColorPaletteWidget.Palette_ColorChanged
> (System.Object sender, System.EventArgs e) [0x00000] in <filename unknown>:0
> at Pinta.Core.PaletteManager.OnPrimaryColorChanged () [0x00000] in
> <filename unknown>:0
> at Pinta.Core.PaletteManager.set_PrimaryColor (Color value) [0x00000]
> in <filename unknown>:0
> at Pinta.Tools.ColorPickerTool.OnMouseDown (Gtk.DrawingArea canvas,
> Gtk.ButtonPressEventArgs args, PointD point) [0x00000] in <filename
> unknown>:0
> at Pinta.Core.BaseTool.DoMouseDown (Gtk.DrawingArea canvas,
> Gtk.ButtonPressEventArgs args, PointD point) [0x00000] in <filename
> unknown>:0
> at Pinta.Gui.Widgets.PintaCanvas.<PintaCanvas>m__E (System.Object
> sender, Gtk.ButtonPressEventArgs e) [0x00000] in <filename unknown>:0
> at (wrapper managed-to-native)
> System.Reflection.MonoMethod:InternalInvoke
> (System.Reflection.MonoMethod,object,object[],System.Exception&)
> at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags
> invokeAttr, System.Reflection.Binder binder, System.Object[] parameters,
> System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0
> --- End of inner exception stack trace ---
> at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags
> invokeAttr, System.Reflection.Binder binder, System.Object[] parameters,
> System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0
> at System.Reflection.MethodBase.Invoke (System.Object obj,
> System.Object[] parameters) [0x00000] in <filename unknown>:0
> at System.Delegate.DynamicInvokeImpl (System.Object[] args) [0x00000]
> in <filename unknown>:0
> at System.MulticastDelegate.DynamicInvokeImpl (System.Object[] args)
> [0x00000] in <filename unknown>:0
> at System.Delegate.DynamicInvoke (System.Object[] args) [0x00000] in
> <filename unknown>:0
> at GLib.Signal.ClosureInvokedCB (System.Object o,
> GLib.ClosureInvokedArgs args) [0x00000] in <filename ...

Read more...

Confirming, I've reproduced the bug using the eyedropper with a PNG at 800% zoom.

System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> System.NullReferenceException: Object reference not set to an instance of an object
  at Pinta.Core.GdkExtensions.Invalidate (Gdk.Window w) [0x00000] in <filename unknown>:0
  at Pinta.Gui.Widgets.ColorPaletteWidget.Palette_ColorChanged (System.Object sender, System.EventArgs e) [0x00000] in <filename unknown>:0
  at Pinta.Core.PaletteManager.OnPrimaryColorChanged () [0x00000] in <filename unknown>:0
  at Pinta.Core.PaletteManager.set_PrimaryColor (Color value) [0x00000] in <filename unknown>:0
  at Pinta.Tools.ColorPickerTool.OnMouseDown (Gtk.DrawingArea canvas, Gtk.ButtonPressEventArgs args, PointD point) [0x00000] in <filename unknown>:0
  at Pinta.Core.BaseTool.DoMouseDown (Gtk.DrawingArea canvas, Gtk.ButtonPressEventArgs args, PointD point) [0x00000] in <filename unknown>:0
  at Pinta.Gui.Widgets.PintaCanvas.<PintaCanvas>m__E (System.Object sender, Gtk.ButtonPressEventArgs e) [0x00000] in <filename unknown>:0
  at (wrapper managed-to-native) System.Reflection.MonoMethod:InternalInvoke (System.Reflection.MonoMethod,object,object[],System.Exception&)
  at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0
  --- End of inner exception stack trace ---
  at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0
  at System.Reflection.MethodBase.Invoke (System.Object obj, System.Object[] parameters) [0x00000] in <filename unknown>:0
  at System.Delegate.DynamicInvokeImpl (System.Object[] args) [0x00000] in <filename unknown>:0
  at System.MulticastDelegate.DynamicInvokeImpl (System.Object[] args) [0x00000] in <filename unknown>:0
  at System.Delegate.DynamicInvoke (System.Object[] args) [0x00000] in <filename unknown>:0
  at GLib.Signal.ClosureInvokedCB (System.Object o, GLib.ClosureInvokedArgs args) [0x00000] in <filename unknown>:0
  at GLib.SignalClosure.Invoke (GLib.ClosureInvokedArgs args) [0x00000] in <filename unknown>:0
  at GLib.SignalClosure.MarshalCallback (IntPtr raw_closure, IntPtr return_val, UInt32 n_param_vals, IntPtr param_values, IntPtr invocation_hint, IntPtr marshal_data) [0x00000] in <filename unknown>:0

Changed in pinta:
status: New → Confirmed

Same thing, after upgrading to 1.1 (Tried re-install, that didn't do a thing.) Same errors.
This happens EVERY time eyedropper is selected and then the cursor is moved to the canvas. When dismissing the error message it re-occurs if the cursor is still over the canvas when the error message is dismissed. Moving the close button off the canvas and then closing will not bring about the error. If another tool is then selected, the error doesn't re-occur, until the eyedropper is re-selected.
(seems strange that dll's and an exe are used in linux... but I'm sure that's been accounted for.)
Oh well, no eydropper selection if I use Pinta, for now.
Thanks.

Savannah King Norton (sln45) wrote :

Happens to me in 1.2. I get the same kind of error when I try to pick a color on the color wheel.

Changed in pinta:
importance: Undecided → High
Robert Nordan (rpvn) wrote :

I'm still unable to reproduce it. Fixitman and Spacklecrisp, what sort of systems are you using Pinta on? Anything unusual?

Technical note: Pinta.Core.GdkExtensions.Invalidate (Gdk.Window w) is a static method that expects to operate on a GDK window, but for some reason it doesn't appear. Could be a result of unusual desktop effects, but that does seem a bit far-fetched.

Download full text (4.2 KiB)

System is Xubuntu with KDE and Gnome libraries enabled. Currently on 11.10.
Mine is highly customized, I'm sure that has something to do with it.
I'm still a bit of a newbie so if you want to tell me how to send some sort
of system report, I could do that. I know it's quite possible to muck
things up by removing dependencies and adding odd programs, like I have
done. Synaptic shows no broken packages or missing dependencies but who
knows? It might be that some of them are installed but are not working
correctly, say, something to do with "what file opens the color picker in
Pinta." and the system doesn't have a clue.

On Mon, Apr 23, 2012 at 12:39 PM, Robert Nordan
<email address hidden>wrote:

> I'm still unable to reproduce it. Fixitman and Spacklecrisp, what sort
> of systems are you using Pinta on? Anything unusual?
>
> Technical note: Pinta.Core.GdkExtensions.Invalidate (Gdk.Window w) is a
> static method that expects to operate on a GDK window, but for some
> reason it doesn't appear. Could be a result of unusual desktop effects,
> but that does seem a bit far-fetched.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/914554
>
> Title:
> exception on using eyedropper select
>
> Status in Pinta:
> Confirmed
>
> Bug description:
> Using Xubuntu 11.10 with gnome (3) and kde libraries both installed. I
> imagine I'm missing some dependancies?
> Upon selecting eyedropper tool, the following exception repeatedly shows:
>
> Unhandled exception:
> Exception has been thrown by the target of an invocation.
> Details:
> System.Reflection.TargetInvocationException: Exception has been thrown by
> the target of an invocation. ---> System.NullReferenceException: Object
> reference not set to an instance of an object
> at Pinta.Core.GdkExtensions.Invalidate (Gdk.Window w) [0x00000] in
> <filename unknown>:0
> at Pinta.Gui.Widgets.ColorPaletteWidget.Palette_ColorChanged
> (System.Object sender, System.EventArgs e) [0x00000] in <filename unknown>:0
> at Pinta.Core.PaletteManager.OnPrimaryColorChanged () [0x00000] in
> <filename unknown>:0
> at Pinta.Core.PaletteManager.set_PrimaryColor (Color value) [0x00000]
> in <filename unknown>:0
> at Pinta.Tools.ColorPickerTool.OnMouseDown (Gtk.DrawingArea canvas,
> Gtk.ButtonPressEventArgs args, PointD point) [0x00000] in <filename
> unknown>:0
> at Pinta.Core.BaseTool.DoMouseDown (Gtk.DrawingArea canvas,
> Gtk.ButtonPressEventArgs args, PointD point) [0x00000] in <filename
> unknown>:0
> at Pinta.Gui.Widgets.PintaCanvas.<PintaCanvas>m__E (System.Object
> sender, Gtk.ButtonPressEventArgs e) [0x00000] in <filename unknown>:0
> at (wrapper managed-to-native)
> System.Reflection.MonoMethod:InternalInvoke
> (System.Reflection.MonoMethod,object,object[],System.Exception&)
> at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags
> invokeAttr, System.Reflection.Binder binder, System.Object[] parameters,
> System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0
> --- End of inner exception stack trace ---
> at System.Reflection.MonoMethod.Invoke (System.Object obj, ...

Read more...

I'm curious to know if the angle picker widget (used in the Rotate/Zoom Layer dialog) and the color gradient widget (used in the Adjustments/Levels dialog) also have these errors for you.

They both make the same call to GdkWindow.Invalidate() that appears in the crash report.

grofaty (grofaty) on 2012-04-25
tags: added: crash
Cameron White (cameronwhite91) wrote :

Was finally able to reproduce this - it happens when the Color Palette is minimized!!

Changed in pinta:
assignee: nobody → Cameron White (cameronwhite91)
milestone: none → 1.3
status: Confirmed → In Progress
summary: - exception on using eyedropper select
+ Exception when using the eyedropper tool with the Color Palette
+ minimized
Cameron White (cameronwhite91) wrote :
Changed in pinta:
status: In Progress → Fix Committed
grofaty (grofaty) wrote :

Checked on Pinta 1.3-daily-from-few-day-ago: crash when palette is minimized. Pinta 1.3-latest-development in Ubuntu 11.10: fixed.

Download full text (4.0 KiB)

OK, thank you for looking into it, will see if I can apply the fix soon. I
bet that really required some tracking down.
Can I assume just it's just a matter of finding the indicated file replace
it with the new .cs file, or simply modify the indicated lines in my
current copy of the file in a text editor? As I said in previous replies,
I'm still a bit of a Linux newbie.
Also, I'm currently on another machine on another OS and will have to boot
the affected machine to apply the fix. Or, should I see if there is a new
version in the repositories and re-install or update?
FixitmanArizona

On Wed, Apr 25, 2012 at 8:40 PM, Cameron White <email address hidden>wrote:

> Fixed:
>
> https://github.com/PintaProject/Pinta/commit/b0429e50483efbc4f1fa0468823f26764075227a
>
> ** Changed in: pinta
> Status: In Progress => Fix Committed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/914554
>
> Title:
> Exception when using the eyedropper tool with the Color Palette
> minimized
>
> Status in Pinta:
> Fix Committed
>
> Bug description:
> Using Xubuntu 11.10 with gnome (3) and kde libraries both installed. I
> imagine I'm missing some dependancies?
> Upon selecting eyedropper tool, the following exception repeatedly shows:
>
> Unhandled exception:
> Exception has been thrown by the target of an invocation.
> Details:
> System.Reflection.TargetInvocationException: Exception has been thrown by
> the target of an invocation. ---> System.NullReferenceException: Object
> reference not set to an instance of an object
> at Pinta.Core.GdkExtensions.Invalidate (Gdk.Window w) [0x00000] in
> <filename unknown>:0
> at Pinta.Gui.Widgets.ColorPaletteWidget.Palette_ColorChanged
> (System.Object sender, System.EventArgs e) [0x00000] in <filename unknown>:0
> at Pinta.Core.PaletteManager.OnPrimaryColorChanged () [0x00000] in
> <filename unknown>:0
> at Pinta.Core.PaletteManager.set_PrimaryColor (Color value) [0x00000]
> in <filename unknown>:0
> at Pinta.Tools.ColorPickerTool.OnMouseDown (Gtk.DrawingArea canvas,
> Gtk.ButtonPressEventArgs args, PointD point) [0x00000] in <filename
> unknown>:0
> at Pinta.Core.BaseTool.DoMouseDown (Gtk.DrawingArea canvas,
> Gtk.ButtonPressEventArgs args, PointD point) [0x00000] in <filename
> unknown>:0
> at Pinta.Gui.Widgets.PintaCanvas.<PintaCanvas>m__E (System.Object
> sender, Gtk.ButtonPressEventArgs e) [0x00000] in <filename unknown>:0
> at (wrapper managed-to-native)
> System.Reflection.MonoMethod:InternalInvoke
> (System.Reflection.MonoMethod,object,object[],System.Exception&)
> at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags
> invokeAttr, System.Reflection.Binder binder, System.Object[] parameters,
> System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0
> --- End of inner exception stack trace ---
> at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags
> invokeAttr, System.Reflection.Binder binder, System.Object[] parameters,
> System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0
> at System.Reflection.MethodBase.Invoke...

Read more...

Cameron White (cameronwhite91) wrote :

The Pinta daily builds PPA (https://launchpad.net/~pinta-maintainers/+archive/pinta-daily) will have this fix within a day, which would be the easiest way to test it out if you don't want to compile Pinta from source.

Download full text (3.9 KiB)

OK thanks a lot. I don't have it installed on this XP machine, nor do I
have a clue how to do that. It's not real obvious from the website other
than installing the gtk first with the .msi (Lazy windows user here, I'm
afraid.) I wasn't even aware it was available for Windows 'til just now,
but then again I use paint.net on my XP machine all the time, instead.

On Wed, Apr 25, 2012 at 10:56 PM, Cameron White <email address hidden>wrote:

> The Pinta daily builds PPA (https://launchpad.net/~pinta-
> maintainers/+archive/pinta-daily) will have this fix within a day, which
> would be the easiest way to test it out if you don't want to compile
> Pinta from source.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/914554
>
> Title:
> Exception when using the eyedropper tool with the Color Palette
> minimized
>
> Status in Pinta:
> Fix Committed
>
> Bug description:
> Using Xubuntu 11.10 with gnome (3) and kde libraries both installed. I
> imagine I'm missing some dependancies?
> Upon selecting eyedropper tool, the following exception repeatedly shows:
>
> Unhandled exception:
> Exception has been thrown by the target of an invocation.
> Details:
> System.Reflection.TargetInvocationException: Exception has been thrown by
> the target of an invocation. ---> System.NullReferenceException: Object
> reference not set to an instance of an object
> at Pinta.Core.GdkExtensions.Invalidate (Gdk.Window w) [0x00000] in
> <filename unknown>:0
> at Pinta.Gui.Widgets.ColorPaletteWidget.Palette_ColorChanged
> (System.Object sender, System.EventArgs e) [0x00000] in <filename unknown>:0
> at Pinta.Core.PaletteManager.OnPrimaryColorChanged () [0x00000] in
> <filename unknown>:0
> at Pinta.Core.PaletteManager.set_PrimaryColor (Color value) [0x00000]
> in <filename unknown>:0
> at Pinta.Tools.ColorPickerTool.OnMouseDown (Gtk.DrawingArea canvas,
> Gtk.ButtonPressEventArgs args, PointD point) [0x00000] in <filename
> unknown>:0
> at Pinta.Core.BaseTool.DoMouseDown (Gtk.DrawingArea canvas,
> Gtk.ButtonPressEventArgs args, PointD point) [0x00000] in <filename
> unknown>:0
> at Pinta.Gui.Widgets.PintaCanvas.<PintaCanvas>m__E (System.Object
> sender, Gtk.ButtonPressEventArgs e) [0x00000] in <filename unknown>:0
> at (wrapper managed-to-native)
> System.Reflection.MonoMethod:InternalInvoke
> (System.Reflection.MonoMethod,object,object[],System.Exception&)
> at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags
> invokeAttr, System.Reflection.Binder binder, System.Object[] parameters,
> System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0
> --- End of inner exception stack trace ---
> at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags
> invokeAttr, System.Reflection.Binder binder, System.Object[] parameters,
> System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0
> at System.Reflection.MethodBase.Invoke (System.Object obj,
> System.Object[] parameters) [0x00000] in <filename unknown>:0
> at System.Delegate.DynamicInvokeImpl (System.Object[] args) [0x00000]
> in <filena...

Read more...

grofaty (grofaty) wrote :

Fixitman,
Instructions about installing Pinta at: http://www.pinta-project.com/HowTo.Installing-Pinta.ashx

To add daily build see "Pinta repository" chapter in above link, but in first command replace word pinta-stable with pinta-daily
P.S. Because this fix was done today, fix will be available in tomorrow's update.

If you would like to try out how to compile from source (nothing difficult!) in the same link as above follow chapter "Using Github".

grofaty (grofaty) wrote :

Fixitman,
for Pinta 1.2 on Windows you can download stable version from http://www.pinta-project.com/download.ashx
1. Download/install .Net v4 (see above link)
2. Download/install Gtk# for Windows
3. Download/install Pinta

You can also install Pinta 1.3 development preview (development preview for Windows is one a week!):
Instead of step 3 download Pinta from mailing list (Windows link):
https://groups.google.com/group/pinta/browse_thread/thread/18d5ae9dd9827a79?hl=en

Download full text (3.9 KiB)

OK, didn't look at the site closely enough I suppose, did not see the .msi
for Windows!

On Thu, Apr 26, 2012 at 1:57 AM, grofaty <email address hidden> wrote:

> Fixitman,
> for Pinta 1.2 on Windows you can download stable version from
> http://www.pinta-project.com/download.ashx
> 1. Download/install .Net v4 (see above link)
> 2. Download/install Gtk# for Windows
> 3. Download/install Pinta
>
> You can also install Pinta 1.3 development preview (development preview
> for Windows is one a week!):
> Instead of step 3 download Pinta from mailing list (Windows link):
>
> https://groups.google.com/group/pinta/browse_thread/thread/18d5ae9dd9827a79?hl=en
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/914554
>
> Title:
> Exception when using the eyedropper tool with the Color Palette
> minimized
>
> Status in Pinta:
> Fix Committed
>
> Bug description:
> Using Xubuntu 11.10 with gnome (3) and kde libraries both installed. I
> imagine I'm missing some dependancies?
> Upon selecting eyedropper tool, the following exception repeatedly shows:
>
> Unhandled exception:
> Exception has been thrown by the target of an invocation.
> Details:
> System.Reflection.TargetInvocationException: Exception has been thrown by
> the target of an invocation. ---> System.NullReferenceException: Object
> reference not set to an instance of an object
> at Pinta.Core.GdkExtensions.Invalidate (Gdk.Window w) [0x00000] in
> <filename unknown>:0
> at Pinta.Gui.Widgets.ColorPaletteWidget.Palette_ColorChanged
> (System.Object sender, System.EventArgs e) [0x00000] in <filename unknown>:0
> at Pinta.Core.PaletteManager.OnPrimaryColorChanged () [0x00000] in
> <filename unknown>:0
> at Pinta.Core.PaletteManager.set_PrimaryColor (Color value) [0x00000]
> in <filename unknown>:0
> at Pinta.Tools.ColorPickerTool.OnMouseDown (Gtk.DrawingArea canvas,
> Gtk.ButtonPressEventArgs args, PointD point) [0x00000] in <filename
> unknown>:0
> at Pinta.Core.BaseTool.DoMouseDown (Gtk.DrawingArea canvas,
> Gtk.ButtonPressEventArgs args, PointD point) [0x00000] in <filename
> unknown>:0
> at Pinta.Gui.Widgets.PintaCanvas.<PintaCanvas>m__E (System.Object
> sender, Gtk.ButtonPressEventArgs e) [0x00000] in <filename unknown>:0
> at (wrapper managed-to-native)
> System.Reflection.MonoMethod:InternalInvoke
> (System.Reflection.MonoMethod,object,object[],System.Exception&)
> at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags
> invokeAttr, System.Reflection.Binder binder, System.Object[] parameters,
> System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0
> --- End of inner exception stack trace ---
> at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags
> invokeAttr, System.Reflection.Binder binder, System.Object[] parameters,
> System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0
> at System.Reflection.MethodBase.Invoke (System.Object obj,
> System.Object[] parameters) [0x00000] in <filename unknown>:0
> at System.Delegate.DynamicInvokeImpl (System.Object[] args) [0x00000]
> in <filename unknown>:0
>...

Read more...

Download full text (5.3 KiB)

The 1.3 fix works great! It took some doing to remember how to install,
though, (I wound up installing the .deb package with Gdebi, instead of
Synaptic, which I normally use but it didn't like the package for some
reason.)
Doing it that way, i had to fix a dependency issue, however.
The new version is great, no error on the eyedropper (with color palette
minimized.)
 Speaking of, I was having trouble with the way the tool windows (Palette,
toolbox, layers etc.) operate, it seems they want to default to
docking/pinning and then hiding themselves. I'm much more used to floating
toolbars that don't hide themselves every time you move them, OR always
visible fixed toolbars for them. (No, I'm not a big fan of Gimp, but being
able to move helper windows outside the active window kind of grew on me
over the years.) Seems to me, you could have floating tools and then some
small buttons on a toolbar up top to access them quickly. To me it's
annoying how they automatically dock and then hide themselves if you move
them wrong. I finally figured out, how to undock them, and un-minimize
them. That was part of the problem with my reported bug I suppose.
 I'm guessing that was a problem with one in a million users, though!
I can see where some people would see the autodock/hide as a feature,
instead of a bug, however.

On Thu, Apr 26, 2012 at 10:37 AM, Fixit Mann <email address hidden>wrote:

> OK, didn't look at the site closely enough I suppose, did not see the .msi
> for Windows!
>
>
> On Thu, Apr 26, 2012 at 1:57 AM, grofaty <email address hidden> wrote:
>
>> Fixitman,
>> for Pinta 1.2 on Windows you can download stable version from
>> http://www.pinta-project.com/download.ashx
>> 1. Download/install .Net v4 (see above link)
>> 2. Download/install Gtk# for Windows
>> 3. Download/install Pinta
>>
>> You can also install Pinta 1.3 development preview (development preview
>> for Windows is one a week!):
>> Instead of step 3 download Pinta from mailing list (Windows link):
>>
>> https://groups.google.com/group/pinta/browse_thread/thread/18d5ae9dd9827a79?hl=en
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/914554
>>
>> Title:
>> Exception when using the eyedropper tool with the Color Palette
>> minimized
>>
>> Status in Pinta:
>> Fix Committed
>>
>> Bug description:
>> Using Xubuntu 11.10 with gnome (3) and kde libraries both installed. I
>> imagine I'm missing some dependancies?
>> Upon selecting eyedropper tool, the following exception repeatedly shows:
>>
>> Unhandled exception:
>> Exception has been thrown by the target of an invocation.
>> Details:
>> System.Reflection.TargetInvocationException: Exception has been thrown
>> by the target of an invocation. ---> System.NullReferenceException: Object
>> reference not set to an instance of an object
>> at Pinta.Core.GdkExtensions.Invalidate (Gdk.Window w) [0x00000] in
>> <filename unknown>:0
>> at Pinta.Gui.Widgets.ColorPaletteWidget.Palette_ColorChanged
>> (System.Object sender, System.EventArgs e) [0x00000] in <filename unknown>:0
>> at Pinta.Core.PaletteManager.OnPrimaryColorChanged () [0x00000] in
>...

Read more...

Robert Nordan (rpvn) on 2012-05-01
Changed in pinta:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers